/* $Id: UserBean.java,v 1.5 2005/08/26 04:45:31 ysahara Exp $
*
* Copyright (c)ARGO 21, Corporation. 2005.  All rights reserved.
 * 
 * This file is part of Nautica Workflow.
 * 
 *  Nautica Workflow is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  Nautica Workflow is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with Nautica Workflow; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *  
*/
package jp.co.argo21.nautica.workflow.sample.actionform;

import org.apache.struts.action.ActionForm;
import jp.co.argo21.nautica.workflow.security.User;

/**
 * ユーザを表すBeanクラス。
 * 
 * @author  ruchida(Argo 21, Corp.)
 * @version $Revision: 1.5 $
 * @since   Nautica Workflow 0.9
 */
public class UserBean extends ActionForm {
    
    /** ユーザID */
    private String userID;
    
    /** パスワード */
    private String password;
    
    /** ユーザ名 */
    private String name;
    
    /** 組織名 */
    private String organizationnName;
    
    /** 組織ID */
    private String organizationID;
    
    /** ユーザ */
    private User user;
    
    /** セッションID */
    private String sessionID;
    
    /**
     * ユーザIDを返す。
     * 
     * @return ユーザID
     */
    public String getUserID( ) {
        return userID;
    }
    
    /**
     * ユーザIDを設定する。
     * 
     * @param id ユーザID
     */
    public void setUserID( String id ) {
        this.userID=id;
    }
    
    /**
     * パスワードを返す。
     * 
     * @return パスワード
     */
    public String getPassword( ) {
        return password;
    }
    
    /**
     * パスワードを設定する。
     * 
     * @param password パスワード 
     */
    public void setPassword( String password ) {
       this.password=password;
    }

    /**
     * 名前を返す。
     * 
	 * @return 名前
	 */
	public String getName( ) {
        return name;
    }
    
    /**
     * 名前を設定する。
     * 
	 * @param name 名前
	 */
	public void setName( String name ) {
        this.name = name;
    }
    
    /**
     * 組織名を返す。
     * 
	 * @return 組織名
	 */
	public String getOrganizationName( ) {
        return organizationnName;
    }
    
    /**
     * 組織名を設定する。
     * 
	 * @param organization The organization to set.
	 */
	public void setOrganizationName( String organizationnName ) {
        this.organizationnName = organizationnName;
    }
    
    /**
     * ユーザを返す。
     * 
	 * @return ユーザ
	 */
	public User getUser( ) {
        return user;
    }
    
    /**
     * ユーザを設定する。
     * 
	 * @param user ユーザ
	 */
	public void setUser( User user ) {
        this.user = user;
    }

    /**
     * セッションIDを返す。
     * 
     * @return セッションID
     */
    public String getSessionID( ) {
        return sessionID;
    }
    
    /**
     * セッションIDを設定する。
     * 
     * @param id セッションID
     */
    public void setSessionID( String id ) {
        this.sessionID = id;
    }

    /**
     * 組織IDを返す。
     * 
	 * @return 組織ID
	 */
	public String getOrganizationID( ) {
        return organizationID;
    }
    
    /**
     * 組織IDを設定する。
     * 
     * @param id 組織ID
     */
    public void setOrganizationID( String id ) {
        this.organizationID = id;
    }
}
